hc1 Ubuntu 18.04.1에 openssl 업그레이드중 문의

Post Reply
youtoo
Posts: 7
Joined: Fri Apr 05, 2019 6:10 pm
languages_spoken: korean
ODROIDs: hc1
Has thanked: 2 times
Been thanked: 0
Contact:

hc1 Ubuntu 18.04.1에 openssl 업그레이드중 문의

Unread post by youtoo » Mon Apr 15, 2019 10:19 pm

openssl 1.1.1a 로의 업그레이드를 https://askubuntu.com/a/1102966 를 그대로 따라서 했는데 에러가 생겼습니다

# openssl version
openssl: /usr/lib/arm-linux-gnueabihf/libssl.so.1.1: version `OPENSSL_1_1_1' not found (required by openssl)
openssl: /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.1: version `OPENSSL_1_1_1' not found (required by openssl)

라고 나옵니다
# export LD_LIBRARY_PATH=/usr/local/lib
이렇게 하면 에러는 없어지는데
어떻게 해결할수 있을까요?

User avatar
tobetter
Posts: 3908
Joined: Mon Feb 25, 2013 10:55 am
languages_spoken: Korean, English
ODROIDs: X, X2, U2, U3, XU3, C1
Location: Paju, South Korea
Has thanked: 38 times
Been thanked: 155 times
Contact:

Re: hc1 Ubuntu 18.04.1에 openssl 업그레이드중 문의

Unread post by tobetter » Mon Apr 15, 2019 10:31 pm

youtoo wrote:
Mon Apr 15, 2019 10:19 pm
openssl 1.1.1a 로의 업그레이드를 https://askubuntu.com/a/1102966 를 그대로 따라서 했는데 에러가 생겼습니다

# openssl version
openssl: /usr/lib/arm-linux-gnueabihf/libssl.so.1.1: version `OPENSSL_1_1_1' not found (required by openssl)
openssl: /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.1: version `OPENSSL_1_1_1' not found (required by openssl)

라고 나옵니다
# export LD_LIBRARY_PATH=/usr/local/lib
이렇게 하면 에러는 없어지는데
어떻게 해결할수 있을까요?
혹시 SSL라이브러를 직접 빌드하고 설치하신건가요?

두 가지를 시도해 볼 수 있습니다.
1) export LD_LIBRARY_PATH=/usr/local/lib가 동작을 하니 같은 내용을 /etc/profile이나 $HOME/.bashrc에 넣으시면 다음 로그인에 적용됩니다.
2) 컴파일을 할 때 --prefix=/usr/local로 되어 있는 부분이 있을 것 같습니다. 이 부분을 --prefix=/usr로 바꾸시고 다시 컴파일 해야 합니다.

이미 컴파일하신 바이너리가 있으시니 1)번이 수월할 수 있고요, 2)번을 실행하시기 위해서는 make uninstall로 먼저 설치한 파일을 제거하고 다시 하셔야 합니다.

Post Reply

Return to “XU4/HC1+/HC2/XU3”

Who is online

Users browsing this forum: No registered users and 0 guests